cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Yves Zoundi <yves.zou...@bibl.ulaval.ca>
Subject Re: org.apache.avalon.framework.configuration.ConfigurationException: Type 'i18n' is not defined for 'transform'
Date Fri, 07 Jul 2006 20:20:45 GMT
Hi Andrew,

    I'm using the same version of cocoon with i18n catalogues and I have 
no problems. Try checking your build again for dependencies in blocs 
definitions.

    </map:transformers>
        ...
  <map:transformer name="i18n" 
src="org.apache.cocoon.transformation.I18nTransformer">
        <catalogues default="ms">        
          <catalogue id="ms" name="ms" location="traductions/ms"/>       
          <cache-at-startup>true</cache-at-startup>
        </catalogues>
      </map:transformer>
        ...
    </map:transformers>

Andrew Madu wrote:
> Ok Guys,
> what's up with this? I have just build cocoon 2.1.9 and defined i18n 
> as a transformer in the transformers section:
>
>     <map:transformer name="i18n" 
> src="org.apache.cocoon.transformation.I18nTransformer ">
>       <catalogues default="other">
>         <catalogue id="other" name="OtherMessages" location="messages"/>
>         <catalogue id="forms" name="FormsMessages" location="messages"/>
>       </catalogues>
>       <cache-at-startup>true</cache-at-startup>
>     </map:transformer>
>
> Why is 2.1.9 bombing out like this?!?
>
> regards
>
> Andrew


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@cocoon.apache.org
For additional commands, e-mail: users-help@cocoon.apache.org


Mime
View raw message